library(vegan)

dich=read.csv("GAbugs.clones.dichotomous.csv", header=T)  #sample x OTU matrix
head(dich)

vars=read.csv("vars.csv")  # contains any variable to be included in the adonis model 
head(vars)

#Run a stepwise removal model

adonis(dich ~ species*location, data=vars, permutations=10000, method="jaccard")                 Df SumsOfSqs MeanSqs F.Model      R2  Pr(>F)   
species           3    1.1104 0.37012  1.7127 0.11100 0.05799 . 
location          8    3.7590 0.46987  2.1743 0.37579 0.00150 **
species:location  3    1.0276 0.34253  1.5850 0.10273 0.07609 . 
Residuals        19    4.1060 0.21610         0.41048           
Total            33   10.0029                 1.00000           
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

#Remove species x location term


adonis(dich ~ species+location, data=vars, permutations=10000, method="jaccard")
          Df SumsOfSqs MeanSqs F.Model      R2  Pr(>F)   
species    3    1.1104 0.37012  1.5862 0.11100 0.07759 . 
location   8    3.7590 0.46987  2.0137 0.37579 0.00250 **
Residuals 22    5.1336 0.23334         0.51321           
Total     33   10.0029                 1.00000           
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

#Remove species term


adonis(dich ~ location, data=vars, permutations=10000, method="jaccard")
 Df SumsOfSqs MeanSqs F.Model      R2   Pr(>F)   
location   8    3.6293 0.45366  1.7794 0.36282 0.008699 **
Residuals 25    6.3737 0.25495         0.63718            
Total     33   10.0029                 1.00000            
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

# final model - only location is significant
